org.eclnt.jsfserver.defaultscreens

## Class ModalPopup

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.BasePopup
  - - org.eclnt.jsfserver.defaultscreens.ModalPopup

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ModalPopup>

      public class ModalPopup
      extends BasePopup
      implements java.io.Serializable, java.lang.Comparable<ModalPopup>

  Server side management of modal popups. Direct implementations use the static createInstance() method for creating the popup, then hold a reference and work with this reference. - By default you do not use direct implementations, though. E.g. when using page beans (IPageBean) then you create popups via the page bean's method `PageBean#openModalPopup(org.eclnt.jsfserver.pagebean.IPageBean, String, int, int, IModalPopupListener)`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ModalPopup.IModalPopupListener`

    - ### Nested classes/interfaces inherited from class org.eclnt.jsfserver.defaultscreens.BasePopup

      `BasePopup.IPopupListener, BasePopup.IPopupListener2`

  - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.defaultscreens.BasePopup

      `m_animationtype, m_avoidfocussingofopener, m_avoidfocussingofpopup, m_bgpaint, m_clientname, m_closeonclickoutside, m_closeonmouseactivity, m_closeonmouseexit, m_contentReplace, m_contentReplaceDrillDown, m_height, m_id, m_image, m_ismaximized, m_isnew, m_left, m_lefttopreference, m_opacity, m_openasframe, m_opened, m_owner, m_page, m_persistid, m_popupListener, m_positionshift, m_sizeableIfUndecorated, m_startfromrootwindow, m_styleseq, m_title, m_top, m_undecorated, m_updateisolation, m_width, m_windowstate, m_withanimation, POS_CENTER, s_defaultBgpaint, WINDOWSTATE_ICONIFIED, WINDOWSTATE_MAXIMIZED, WINDOWSTATE_NORMAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModalPopup()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close popup.
    `int` | `compareTo(ModalPopup o)`
    `static ModalPopup` | `createInstance()` Direct creation of modal popup.
    `boolean` | `getHighlightReference()`
    `java.lang.String` | `getScreenBackgroundColor()`
    `void` | `setHighlightReference(boolean highlightReference)` If set to true then the screen background that is drawn below the popup is built in a way that the component that is directly referenced (e.g. by `BasePopup.setLeftTopReferenceComponentIdLeft(String)`) is not part of the background - and is highlighted as consequence.
    `void` | `setScreenBackgroundColor(java.lang.String screenBackgroundColor)` Defines the color of the screen background that is drawn "behind" the modal popup dialog.

    - ### Methods inherited from class org.eclnt.jsfserver.defaultscreens.BasePopup

      `getAnimationtype, getAvoidfocussingofopener, getAvoidfocussingofpopup, getBgpaint, getClientname, getCloseonclickoutside, getCloseonmouseactivity, getCloseonmouseexit, getContentReplace, getContentReplaceDrillDown, getHeight, getId, getImage, getIndex, getIsmaximized, getIsnew, getLeft, getLefttopreference, getOpacity, getOpenasframe, getOpened, getOwner, getPage, getPersistid, getPopupListener, getPositionShift, getRequestFocus, getSizeableIfUndecorated, getStartfromrootwindow, getStyleseq, getTitle, getTop, getUndecorated, getUpdateIsolation, getWidth, getWindowstate, getWithanimation, initialize, loadPersistedPosition, maximize, onPopupClosedByUser, open, persistPosition, requestFocus, setAnimationtype, setAvoidfocussingofopener, setAvoidfocussingofpopup, setBgpaint, setClientname, setCloseonclickoutside, setCloseonmouseactivity, setCloseonmouseexit, setContentReplace, setContentReplaceDrillDown, setHeight, setImage, setIndex, setLeft, setLefTopReferenceComponentId, setLefTopReferenceComponentIdBottom, setLefTopReferenceComponentIdTop, setLeftTopReferenceBottom, setLeftTopReferenceCentered, setLeftTopReferenceComponentIdCentered, setLeftTopReferenceComponentIdLeft, setLeftTopReferenceComponentIdOver, setLeftTopReferenceComponentIdRight, setLeftTopReferenceLeft, setLeftTopReferenceRight, setLeftTopReferenceTop, setOpacity, setOpened, setOwner, setPage, setPersistid, setPopupListener, setPositionShift, setSizeableIfUndecorated, setStartfromrootwindow, setStyleseq, setTitle, setTop, setUndecorated, setUpdateIsolation, setWidth, setWidthHeightToDesiredSize, setWidthHeightToSizeOfReference, setWithanimation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModalPopup

          public ModalPopup()

  - ### Method Detail

    - #### createInstance

          public static ModalPopup createInstance()

      Direct creation of modal popup. This method of creating a popup is some quite internal way - which is normally not used by application programming. Please use the PageBean-way of opening popups using `PageBean.openModalPopup(org.eclnt.jsfserver.pagebean.IPageBean, String, int, int, org.eclnt.jsfserver.defaultscreens.ModalPopup.IModalPopupListener)` or `PageBean#openModalPopup(org.eclnt.jsfserver.pagebean.IPageBean, String, int, int, IModalPopupListener)` instead.

    - #### close

          public void close()

      Close popup.
      Overrides:
        `close` in class `BasePopup`

    - #### compareTo

          public int compareTo(ModalPopup o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ModalPopup>`

    - #### setHighlightReference

          public void setHighlightReference(boolean highlightReference)

      If set to true then the screen background that is drawn below the popup is built in a way that the component that is directly referenced (e.g. by `BasePopup.setLeftTopReferenceComponentIdLeft(String)`) is not part of the background - and is highlighted as consequence.

    - #### getHighlightReference

          public boolean getHighlightReference()

    - #### setScreenBackgroundColor

          public void setScreenBackgroundColor(java.lang.String screenBackgroundColor)

      Defines the color of the screen background that is drawn "behind" the modal popup dialog. The default is taken from the CSS style, but you may override e.g. in order to make it transparent or in order to assign a special color.

    - #### getScreenBackgroundColor

          public java.lang.String getScreenBackgroundColor()

Copyright © CaptainCasa Gmbh. All Rights Reserved.